<?php

use Illuminate\Support\Facades\Route;

Route::get('test', function () {
    return view('clients.index');
});

Auth::routes();

Route::middleware(['auth'])->group(function () {

    Route::get('/', [App\Http\Controllers\DashboardController::class, 'index'])->name('home');
    Route::get('home', [App\Http\Controllers\DashboardController::class, 'index'])->name('home');

    // Route::get('/clients', [App\Http\Controllers\ClientsController::class, 'index'])->name('clients.index');
    Route::get('/clients/data', [App\Http\Controllers\ClientsController::class, 'fetchData'])->name('clients.data');
    Route::get('/clients/export', [App\Http\Controllers\ClientController::class, 'export'])->name('clients.export');

    // {{ route('shortcodes.store') }}
    // {{ route('client-payments.store') }}
    // {{ route('client-files.store') }}
    Route::get('/clients/shortcodes-store', [App\Http\Controllers\ClientController::class, 'shortcodeStore'])->name('shortcodes.store');
    Route::get('/clients/payments-store', [App\Http\Controllers\ClientController::class, 'paymentsStore'])->name('client-payments.store');
    Route::get('/clients/files-store', [App\Http\Controllers\ClientController::class, 'storeFiles'])->name('client-files.store');
    Route::resource('clients', App\Http\Controllers\ClientsController::class);



    Route::get('/staff', [App\Http\Controllers\StaffController::class, 'index'])->name('home');


    Route::get('/mnos', [App\Http\Controllers\NetworkOperatorsControlle::class, 'index'])->name('mnos.index');
    Route::get('/documents', [App\Http\Controllers\DocumentsVaultController::class, 'index'])->name('documents.index');

    Route::get('/senderids', [App\Http\Controllers\SenderidsController::class, 'index']);
    Route::get('/shortcodes', [App\Http\Controllers\ShortCodesController::class, 'index']);

    Route::post('/logout', [App\Http\Controllers\AuthController::class, 'logout'])->name('logout');
});
